Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.32.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
248.32.0.0
Broadcast address
248.47.255.255
First usable
248.32.0.1
Last usable
248.47.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F8200000 · Integer 4162846720 to 4163895295
Reverse DNS zones
32.248.in-addr.arpa
33.248.in-addr.arpa
34.248.in-addr.arpa
35.248.in-addr.arpa
36.248.in-addr.arpa
37.248.in-addr.arpa
38.248.in-addr.arpa
39.248.in-addr.arpa
40.248.in-addr.arpa
41.248.in-addr.arpa
42.248.in-addr.arpa
43.248.in-addr.arpa
44.248.in-addr.arpa
45.248.in-addr.arpa
46.248.in-addr.arpa
47.248.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.00100000.00000000.00000000248.32.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111000.00100000.00000000.00000000248.32.0.0
Broadcast11111000.00101111.11111111.11111111248.47.255.255
Split into smaller subnets/24

248.32.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.32.0.0/24248.32.0.1 to 248.32.0.254248.32.0.255254
2248.32.1.0/24248.32.1.1 to 248.32.1.254248.32.1.255254
3248.32.2.0/24248.32.2.1 to 248.32.2.254248.32.2.255254
4248.32.3.0/24248.32.3.1 to 248.32.3.254248.32.3.255254
5248.32.4.0/24248.32.4.1 to 248.32.4.254248.32.4.255254
6248.32.5.0/24248.32.5.1 to 248.32.5.254248.32.5.255254
7248.32.6.0/24248.32.6.1 to 248.32.6.254248.32.6.255254
8248.32.7.0/24248.32.7.1 to 248.32.7.254248.32.7.255254
9248.32.8.0/24248.32.8.1 to 248.32.8.254248.32.8.255254
10248.32.9.0/24248.32.9.1 to 248.32.9.254248.32.9.255254
11248.32.10.0/24248.32.10.1 to 248.32.10.254248.32.10.255254
12248.32.11.0/24248.32.11.1 to 248.32.11.254248.32.11.255254
13248.32.12.0/24248.32.12.1 to 248.32.12.254248.32.12.255254
14248.32.13.0/24248.32.13.1 to 248.32.13.254248.32.13.255254
15248.32.14.0/24248.32.14.1 to 248.32.14.254248.32.14.255254
16248.32.15.0/24248.32.15.1 to 248.32.15.254248.32.15.255254
17248.32.16.0/24248.32.16.1 to 248.32.16.254248.32.16.255254
18248.32.17.0/24248.32.17.1 to 248.32.17.254248.32.17.255254
19248.32.18.0/24248.32.18.1 to 248.32.18.254248.32.18.255254
20248.32.19.0/24248.32.19.1 to 248.32.19.254248.32.19.255254
21248.32.20.0/24248.32.20.1 to 248.32.20.254248.32.20.255254
22248.32.21.0/24248.32.21.1 to 248.32.21.254248.32.21.255254
23248.32.22.0/24248.32.22.1 to 248.32.22.254248.32.22.255254
24248.32.23.0/24248.32.23.1 to 248.32.23.254248.32.23.255254
25248.32.24.0/24248.32.24.1 to 248.32.24.254248.32.24.255254
26248.32.25.0/24248.32.25.1 to 248.32.25.254248.32.25.255254
27248.32.26.0/24248.32.26.1 to 248.32.26.254248.32.26.255254
28248.32.27.0/24248.32.27.1 to 248.32.27.254248.32.27.255254
29248.32.28.0/24248.32.28.1 to 248.32.28.254248.32.28.255254
30248.32.29.0/24248.32.29.1 to 248.32.29.254248.32.29.255254
31248.32.30.0/24248.32.30.1 to 248.32.30.254248.32.30.255254
32248.32.31.0/24248.32.31.1 to 248.32.31.254248.32.31.255254
33248.32.32.0/24248.32.32.1 to 248.32.32.254248.32.32.255254
34248.32.33.0/24248.32.33.1 to 248.32.33.254248.32.33.255254
35248.32.34.0/24248.32.34.1 to 248.32.34.254248.32.34.255254
36248.32.35.0/24248.32.35.1 to 248.32.35.254248.32.35.255254
37248.32.36.0/24248.32.36.1 to 248.32.36.254248.32.36.255254
38248.32.37.0/24248.32.37.1 to 248.32.37.254248.32.37.255254
39248.32.38.0/24248.32.38.1 to 248.32.38.254248.32.38.255254
40248.32.39.0/24248.32.39.1 to 248.32.39.254248.32.39.255254
41248.32.40.0/24248.32.40.1 to 248.32.40.254248.32.40.255254
42248.32.41.0/24248.32.41.1 to 248.32.41.254248.32.41.255254
43248.32.42.0/24248.32.42.1 to 248.32.42.254248.32.42.255254
44248.32.43.0/24248.32.43.1 to 248.32.43.254248.32.43.255254
45248.32.44.0/24248.32.44.1 to 248.32.44.254248.32.44.255254
46248.32.45.0/24248.32.45.1 to 248.32.45.254248.32.45.255254
47248.32.46.0/24248.32.46.1 to 248.32.46.254248.32.46.255254
48248.32.47.0/24248.32.47.1 to 248.32.47.254248.32.47.255254
49248.32.48.0/24248.32.48.1 to 248.32.48.254248.32.48.255254
50248.32.49.0/24248.32.49.1 to 248.32.49.254248.32.49.255254
51248.32.50.0/24248.32.50.1 to 248.32.50.254248.32.50.255254
52248.32.51.0/24248.32.51.1 to 248.32.51.254248.32.51.255254
53248.32.52.0/24248.32.52.1 to 248.32.52.254248.32.52.255254
54248.32.53.0/24248.32.53.1 to 248.32.53.254248.32.53.255254
55248.32.54.0/24248.32.54.1 to 248.32.54.254248.32.54.255254
56248.32.55.0/24248.32.55.1 to 248.32.55.254248.32.55.255254
57248.32.56.0/24248.32.56.1 to 248.32.56.254248.32.56.255254
58248.32.57.0/24248.32.57.1 to 248.32.57.254248.32.57.255254
59248.32.58.0/24248.32.58.1 to 248.32.58.254248.32.58.255254
60248.32.59.0/24248.32.59.1 to 248.32.59.254248.32.59.255254
61248.32.60.0/24248.32.60.1 to 248.32.60.254248.32.60.255254
62248.32.61.0/24248.32.61.1 to 248.32.61.254248.32.61.255254
63248.32.62.0/24248.32.62.1 to 248.32.62.254248.32.62.255254
64248.32.63.0/24248.32.63.1 to 248.32.63.254248.32.63.255254
65248.32.64.0/24248.32.64.1 to 248.32.64.254248.32.64.255254
66248.32.65.0/24248.32.65.1 to 248.32.65.254248.32.65.255254
67248.32.66.0/24248.32.66.1 to 248.32.66.254248.32.66.255254
68248.32.67.0/24248.32.67.1 to 248.32.67.254248.32.67.255254
69248.32.68.0/24248.32.68.1 to 248.32.68.254248.32.68.255254
70248.32.69.0/24248.32.69.1 to 248.32.69.254248.32.69.255254
71248.32.70.0/24248.32.70.1 to 248.32.70.254248.32.70.255254
72248.32.71.0/24248.32.71.1 to 248.32.71.254248.32.71.255254
73248.32.72.0/24248.32.72.1 to 248.32.72.254248.32.72.255254
74248.32.73.0/24248.32.73.1 to 248.32.73.254248.32.73.255254
75248.32.74.0/24248.32.74.1 to 248.32.74.254248.32.74.255254
76248.32.75.0/24248.32.75.1 to 248.32.75.254248.32.75.255254
77248.32.76.0/24248.32.76.1 to 248.32.76.254248.32.76.255254
78248.32.77.0/24248.32.77.1 to 248.32.77.254248.32.77.255254
79248.32.78.0/24248.32.78.1 to 248.32.78.254248.32.78.255254
80248.32.79.0/24248.32.79.1 to 248.32.79.254248.32.79.255254
81248.32.80.0/24248.32.80.1 to 248.32.80.254248.32.80.255254
82248.32.81.0/24248.32.81.1 to 248.32.81.254248.32.81.255254
83248.32.82.0/24248.32.82.1 to 248.32.82.254248.32.82.255254
84248.32.83.0/24248.32.83.1 to 248.32.83.254248.32.83.255254
85248.32.84.0/24248.32.84.1 to 248.32.84.254248.32.84.255254
86248.32.85.0/24248.32.85.1 to 248.32.85.254248.32.85.255254
87248.32.86.0/24248.32.86.1 to 248.32.86.254248.32.86.255254
88248.32.87.0/24248.32.87.1 to 248.32.87.254248.32.87.255254
89248.32.88.0/24248.32.88.1 to 248.32.88.254248.32.88.255254
90248.32.89.0/24248.32.89.1 to 248.32.89.254248.32.89.255254
91248.32.90.0/24248.32.90.1 to 248.32.90.254248.32.90.255254
92248.32.91.0/24248.32.91.1 to 248.32.91.254248.32.91.255254
93248.32.92.0/24248.32.92.1 to 248.32.92.254248.32.92.255254
94248.32.93.0/24248.32.93.1 to 248.32.93.254248.32.93.255254
95248.32.94.0/24248.32.94.1 to 248.32.94.254248.32.94.255254
96248.32.95.0/24248.32.95.1 to 248.32.95.254248.32.95.255254
97248.32.96.0/24248.32.96.1 to 248.32.96.254248.32.96.255254
98248.32.97.0/24248.32.97.1 to 248.32.97.254248.32.97.255254
99248.32.98.0/24248.32.98.1 to 248.32.98.254248.32.98.255254
100248.32.99.0/24248.32.99.1 to 248.32.99.254248.32.99.255254
101248.32.100.0/24248.32.100.1 to 248.32.100.254248.32.100.255254
102248.32.101.0/24248.32.101.1 to 248.32.101.254248.32.101.255254
103248.32.102.0/24248.32.102.1 to 248.32.102.254248.32.102.255254
104248.32.103.0/24248.32.103.1 to 248.32.103.254248.32.103.255254
105248.32.104.0/24248.32.104.1 to 248.32.104.254248.32.104.255254
106248.32.105.0/24248.32.105.1 to 248.32.105.254248.32.105.255254
107248.32.106.0/24248.32.106.1 to 248.32.106.254248.32.106.255254
108248.32.107.0/24248.32.107.1 to 248.32.107.254248.32.107.255254
109248.32.108.0/24248.32.108.1 to 248.32.108.254248.32.108.255254
110248.32.109.0/24248.32.109.1 to 248.32.109.254248.32.109.255254
111248.32.110.0/24248.32.110.1 to 248.32.110.254248.32.110.255254
112248.32.111.0/24248.32.111.1 to 248.32.111.254248.32.111.255254
113248.32.112.0/24248.32.112.1 to 248.32.112.254248.32.112.255254
114248.32.113.0/24248.32.113.1 to 248.32.113.254248.32.113.255254
115248.32.114.0/24248.32.114.1 to 248.32.114.254248.32.114.255254
116248.32.115.0/24248.32.115.1 to 248.32.115.254248.32.115.255254
117248.32.116.0/24248.32.116.1 to 248.32.116.254248.32.116.255254
118248.32.117.0/24248.32.117.1 to 248.32.117.254248.32.117.255254
119248.32.118.0/24248.32.118.1 to 248.32.118.254248.32.118.255254
120248.32.119.0/24248.32.119.1 to 248.32.119.254248.32.119.255254
121248.32.120.0/24248.32.120.1 to 248.32.120.254248.32.120.255254
122248.32.121.0/24248.32.121.1 to 248.32.121.254248.32.121.255254
123248.32.122.0/24248.32.122.1 to 248.32.122.254248.32.122.255254
124248.32.123.0/24248.32.123.1 to 248.32.123.254248.32.123.255254
125248.32.124.0/24248.32.124.1 to 248.32.124.254248.32.124.255254
126248.32.125.0/24248.32.125.1 to 248.32.125.254248.32.125.255254
127248.32.126.0/24248.32.126.1 to 248.32.126.254248.32.126.255254
128248.32.127.0/24248.32.127.1 to 248.32.127.254248.32.127.255254
129248.32.128.0/24248.32.128.1 to 248.32.128.254248.32.128.255254
130248.32.129.0/24248.32.129.1 to 248.32.129.254248.32.129.255254
131248.32.130.0/24248.32.130.1 to 248.32.130.254248.32.130.255254
132248.32.131.0/24248.32.131.1 to 248.32.131.254248.32.131.255254
133248.32.132.0/24248.32.132.1 to 248.32.132.254248.32.132.255254
134248.32.133.0/24248.32.133.1 to 248.32.133.254248.32.133.255254
135248.32.134.0/24248.32.134.1 to 248.32.134.254248.32.134.255254
136248.32.135.0/24248.32.135.1 to 248.32.135.254248.32.135.255254
137248.32.136.0/24248.32.136.1 to 248.32.136.254248.32.136.255254
138248.32.137.0/24248.32.137.1 to 248.32.137.254248.32.137.255254
139248.32.138.0/24248.32.138.1 to 248.32.138.254248.32.138.255254
140248.32.139.0/24248.32.139.1 to 248.32.139.254248.32.139.255254
141248.32.140.0/24248.32.140.1 to 248.32.140.254248.32.140.255254
142248.32.141.0/24248.32.141.1 to 248.32.141.254248.32.141.255254
143248.32.142.0/24248.32.142.1 to 248.32.142.254248.32.142.255254
144248.32.143.0/24248.32.143.1 to 248.32.143.254248.32.143.255254
145248.32.144.0/24248.32.144.1 to 248.32.144.254248.32.144.255254
146248.32.145.0/24248.32.145.1 to 248.32.145.254248.32.145.255254
147248.32.146.0/24248.32.146.1 to 248.32.146.254248.32.146.255254
148248.32.147.0/24248.32.147.1 to 248.32.147.254248.32.147.255254
149248.32.148.0/24248.32.148.1 to 248.32.148.254248.32.148.255254
150248.32.149.0/24248.32.149.1 to 248.32.149.254248.32.149.255254
151248.32.150.0/24248.32.150.1 to 248.32.150.254248.32.150.255254
152248.32.151.0/24248.32.151.1 to 248.32.151.254248.32.151.255254
153248.32.152.0/24248.32.152.1 to 248.32.152.254248.32.152.255254
154248.32.153.0/24248.32.153.1 to 248.32.153.254248.32.153.255254
155248.32.154.0/24248.32.154.1 to 248.32.154.254248.32.154.255254
156248.32.155.0/24248.32.155.1 to 248.32.155.254248.32.155.255254
157248.32.156.0/24248.32.156.1 to 248.32.156.254248.32.156.255254
158248.32.157.0/24248.32.157.1 to 248.32.157.254248.32.157.255254
159248.32.158.0/24248.32.158.1 to 248.32.158.254248.32.158.255254
160248.32.159.0/24248.32.159.1 to 248.32.159.254248.32.159.255254
161248.32.160.0/24248.32.160.1 to 248.32.160.254248.32.160.255254
162248.32.161.0/24248.32.161.1 to 248.32.161.254248.32.161.255254
163248.32.162.0/24248.32.162.1 to 248.32.162.254248.32.162.255254
164248.32.163.0/24248.32.163.1 to 248.32.163.254248.32.163.255254
165248.32.164.0/24248.32.164.1 to 248.32.164.254248.32.164.255254
166248.32.165.0/24248.32.165.1 to 248.32.165.254248.32.165.255254
167248.32.166.0/24248.32.166.1 to 248.32.166.254248.32.166.255254
168248.32.167.0/24248.32.167.1 to 248.32.167.254248.32.167.255254
169248.32.168.0/24248.32.168.1 to 248.32.168.254248.32.168.255254
170248.32.169.0/24248.32.169.1 to 248.32.169.254248.32.169.255254
171248.32.170.0/24248.32.170.1 to 248.32.170.254248.32.170.255254
172248.32.171.0/24248.32.171.1 to 248.32.171.254248.32.171.255254
173248.32.172.0/24248.32.172.1 to 248.32.172.254248.32.172.255254
174248.32.173.0/24248.32.173.1 to 248.32.173.254248.32.173.255254
175248.32.174.0/24248.32.174.1 to 248.32.174.254248.32.174.255254
176248.32.175.0/24248.32.175.1 to 248.32.175.254248.32.175.255254
177248.32.176.0/24248.32.176.1 to 248.32.176.254248.32.176.255254
178248.32.177.0/24248.32.177.1 to 248.32.177.254248.32.177.255254
179248.32.178.0/24248.32.178.1 to 248.32.178.254248.32.178.255254
180248.32.179.0/24248.32.179.1 to 248.32.179.254248.32.179.255254
181248.32.180.0/24248.32.180.1 to 248.32.180.254248.32.180.255254
182248.32.181.0/24248.32.181.1 to 248.32.181.254248.32.181.255254
183248.32.182.0/24248.32.182.1 to 248.32.182.254248.32.182.255254
184248.32.183.0/24248.32.183.1 to 248.32.183.254248.32.183.255254
185248.32.184.0/24248.32.184.1 to 248.32.184.254248.32.184.255254
186248.32.185.0/24248.32.185.1 to 248.32.185.254248.32.185.255254
187248.32.186.0/24248.32.186.1 to 248.32.186.254248.32.186.255254
188248.32.187.0/24248.32.187.1 to 248.32.187.254248.32.187.255254
189248.32.188.0/24248.32.188.1 to 248.32.188.254248.32.188.255254
190248.32.189.0/24248.32.189.1 to 248.32.189.254248.32.189.255254
191248.32.190.0/24248.32.190.1 to 248.32.190.254248.32.190.255254
192248.32.191.0/24248.32.191.1 to 248.32.191.254248.32.191.255254
193248.32.192.0/24248.32.192.1 to 248.32.192.254248.32.192.255254
194248.32.193.0/24248.32.193.1 to 248.32.193.254248.32.193.255254
195248.32.194.0/24248.32.194.1 to 248.32.194.254248.32.194.255254
196248.32.195.0/24248.32.195.1 to 248.32.195.254248.32.195.255254
197248.32.196.0/24248.32.196.1 to 248.32.196.254248.32.196.255254
198248.32.197.0/24248.32.197.1 to 248.32.197.254248.32.197.255254
199248.32.198.0/24248.32.198.1 to 248.32.198.254248.32.198.255254
200248.32.199.0/24248.32.199.1 to 248.32.199.254248.32.199.255254
201248.32.200.0/24248.32.200.1 to 248.32.200.254248.32.200.255254
202248.32.201.0/24248.32.201.1 to 248.32.201.254248.32.201.255254
203248.32.202.0/24248.32.202.1 to 248.32.202.254248.32.202.255254
204248.32.203.0/24248.32.203.1 to 248.32.203.254248.32.203.255254
205248.32.204.0/24248.32.204.1 to 248.32.204.254248.32.204.255254
206248.32.205.0/24248.32.205.1 to 248.32.205.254248.32.205.255254
207248.32.206.0/24248.32.206.1 to 248.32.206.254248.32.206.255254
208248.32.207.0/24248.32.207.1 to 248.32.207.254248.32.207.255254
209248.32.208.0/24248.32.208.1 to 248.32.208.254248.32.208.255254
210248.32.209.0/24248.32.209.1 to 248.32.209.254248.32.209.255254
211248.32.210.0/24248.32.210.1 to 248.32.210.254248.32.210.255254
212248.32.211.0/24248.32.211.1 to 248.32.211.254248.32.211.255254
213248.32.212.0/24248.32.212.1 to 248.32.212.254248.32.212.255254
214248.32.213.0/24248.32.213.1 to 248.32.213.254248.32.213.255254
215248.32.214.0/24248.32.214.1 to 248.32.214.254248.32.214.255254
216248.32.215.0/24248.32.215.1 to 248.32.215.254248.32.215.255254
217248.32.216.0/24248.32.216.1 to 248.32.216.254248.32.216.255254
218248.32.217.0/24248.32.217.1 to 248.32.217.254248.32.217.255254
219248.32.218.0/24248.32.218.1 to 248.32.218.254248.32.218.255254
220248.32.219.0/24248.32.219.1 to 248.32.219.254248.32.219.255254
221248.32.220.0/24248.32.220.1 to 248.32.220.254248.32.220.255254
222248.32.221.0/24248.32.221.1 to 248.32.221.254248.32.221.255254
223248.32.222.0/24248.32.222.1 to 248.32.222.254248.32.222.255254
224248.32.223.0/24248.32.223.1 to 248.32.223.254248.32.223.255254
225248.32.224.0/24248.32.224.1 to 248.32.224.254248.32.224.255254
226248.32.225.0/24248.32.225.1 to 248.32.225.254248.32.225.255254
227248.32.226.0/24248.32.226.1 to 248.32.226.254248.32.226.255254
228248.32.227.0/24248.32.227.1 to 248.32.227.254248.32.227.255254
229248.32.228.0/24248.32.228.1 to 248.32.228.254248.32.228.255254
230248.32.229.0/24248.32.229.1 to 248.32.229.254248.32.229.255254
231248.32.230.0/24248.32.230.1 to 248.32.230.254248.32.230.255254
232248.32.231.0/24248.32.231.1 to 248.32.231.254248.32.231.255254
233248.32.232.0/24248.32.232.1 to 248.32.232.254248.32.232.255254
234248.32.233.0/24248.32.233.1 to 248.32.233.254248.32.233.255254
235248.32.234.0/24248.32.234.1 to 248.32.234.254248.32.234.255254
236248.32.235.0/24248.32.235.1 to 248.32.235.254248.32.235.255254
237248.32.236.0/24248.32.236.1 to 248.32.236.254248.32.236.255254
238248.32.237.0/24248.32.237.1 to 248.32.237.254248.32.237.255254
239248.32.238.0/24248.32.238.1 to 248.32.238.254248.32.238.255254
240248.32.239.0/24248.32.239.1 to 248.32.239.254248.32.239.255254
241248.32.240.0/24248.32.240.1 to 248.32.240.254248.32.240.255254
242248.32.241.0/24248.32.241.1 to 248.32.241.254248.32.241.255254
243248.32.242.0/24248.32.242.1 to 248.32.242.254248.32.242.255254
244248.32.243.0/24248.32.243.1 to 248.32.243.254248.32.243.255254
245248.32.244.0/24248.32.244.1 to 248.32.244.254248.32.244.255254
246248.32.245.0/24248.32.245.1 to 248.32.245.254248.32.245.255254
247248.32.246.0/24248.32.246.1 to 248.32.246.254248.32.246.255254
248248.32.247.0/24248.32.247.1 to 248.32.247.254248.32.247.255254
249248.32.248.0/24248.32.248.1 to 248.32.248.254248.32.248.255254
250248.32.249.0/24248.32.249.1 to 248.32.249.254248.32.249.255254
251248.32.250.0/24248.32.250.1 to 248.32.250.254248.32.250.255254
252248.32.251.0/24248.32.251.1 to 248.32.251.254248.32.251.255254
253248.32.252.0/24248.32.252.1 to 248.32.252.254248.32.252.255254
254248.32.253.0/24248.32.253.1 to 248.32.253.254248.32.253.255254
255248.32.254.0/24248.32.254.1 to 248.32.254.254248.32.254.255254
256248.32.255.0/24248.32.255.1 to 248.32.255.254248.32.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses